> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galtea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlink metrics from specification

> Unlink one or more metrics from a specification. See [Specifications](https://docs.galtea.ai/concepts/product/specification).



## OpenAPI

````yaml https://api.galtea.ai/openapi.json delete /specifications/{id}/metrics
openapi: 3.0.0
info:
  version: 1.0.0
  title: Product Management Service API
  description: API documentation for Product Management Service
  contact:
    name: Galtea AI
servers:
  - url: https://api.galtea.ai
security:
  - bearerAuth: []
tags: []
externalDocs:
  description: Galtea Platform Documentation
  url: https://docs.galtea.ai
paths:
  /specifications/{id}/metrics:
    delete:
      tags:
        - specifications
      summary: Unlink metrics from specification
      description: >-
        Unlink one or more metrics from a specification. See
        [Specifications](https://docs.galtea.ai/concepts/product/specification).
      operationId: unlinkMetricsFromSpecification
      parameters:
        - name: id
          in: path
          description: Specification ID
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - metricIds
              properties:
                metricIds:
                  type: array
                  example:
                    - metric_123
                    - metric_456
                  items:
                    type: string
                  description: Array of metric IDs to unlink
      responses:
        '204':
          description: Metrics unlinked successfully
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Specification not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          example: Error type
        message:
          type: string
          example: Error message description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key authorization. Pass your API key in the Authorization header as
        a Bearer token. Both new (`gsk_*`) and legacy (`gsk-`) API keys are
        accepted, e.g. `Authorization: Bearer gsk_...` or `Authorization: Bearer
        gsk-...`.

````